/***********************************************************
  文件名：27_LimitSwitchModul.ino
  描述：实现碰撞开关模块控制 LED 的亮与灭.
  作者：陈志强
  日期：2022.11.3
***********************************************************/
int limitswitchPin = 4;//设置碰撞开关接D4引脚
int led = 6;//设置led灯接D6引脚
void setup() {

  Serial.begin(9600);//设置串口波特率
  pinMode(limitswitchPin, INPUT);//设置碰撞开关为输入模式
  pinMode(led, OUTPUT);//设置led为输出模式
}

void loop() {
  //碰撞开关接uno开发板D4引脚；LED灯模块接D6引脚

  if (digitalRead(limitswitchPin) == LOW) {//按下碰撞开关
    Serial.println("触发开关，点亮led1秒");
    digitalWrite(led, HIGH);//点亮led
    delay(1000);//延时1S

  } else {
    Serial.println("没有触发开关，熄灭led");
   digitalWrite(led, LOW);//熄灭led

  }
  delay(500);

}
